Bug 1130647 - update_device_up RPC call back missing in Brocade neutron plugin [NEEDINFO]
Summary: update_device_up RPC call back missing in Brocade neutron plugin
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 4.0
Assignee: Ihar Hrachyshka
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 18:48 UTC by John Trowbridge
Modified: 2018-12-06 17:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 17:01:12 UTC
lpeer: needinfo? (hrivero)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 94139 None None None Never
Launchpad 1223751 None None None Never

Description John Trowbridge 2014-08-15 18:48:39 UTC
Description of problem:

We get the following traceback repeatedly in /var/log/neutron/server.log:

2014-08-14 14:42:03.348 7753 ERROR neutron.openstack.common.rpc.common [-] Returning exception No such RPC function 'update_device_up' to caller
2014-08-14 14:42:03.348 7753 ERROR neutron.openstack.common.rpc.common [-] ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/amqp.py", line 438, in _process_data\n    **args)\n', '  File "/usr/lib/python2.6/site-packages/neutron/common/rpc.py", line 45, in dispatch\n    neutron_ctxt, version, method, namespace, **kwargs)\n', '  File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/dispatcher.py", line 176, in dispatch\n    raise AttributeError("No such RPC function \'%s\'" % method)\n', "AttributeError: No such RPC function 'update_device_up'\n"]
2014-08-14 14:42:05.346 7753 ERROR neutron.openstack.common.rpc.amqp [-] Exception during message handling
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp Traceback (most recent call last):
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/amqp.py", line 438, in _process_data
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp     **args)
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/neutron/common/rpc.py", line 45, in dispatch
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp     neutron_ctxt, version, method, namespace, **kwargs)
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/dispatcher.py", line 176, in dispatch
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp     raise AttributeError("No such RPC function '%s'" % method)
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp AttributeError: No such RPC function 'update_device_up'
2014-08-14 14:42:05.346 7753 TRACE neutron.openstack.common.rpc.amqp


Additional info:

The customer is using the Brocade neutron plugin.

This looks like a match to the following upstream bug:
https://bugs.launchpad.net/neutron/+bug/1223751

Comment 2 Ihar Hrachyshka 2014-08-18 08:29:18 UTC
There is a patch in upstream review that is blocked on getting some info from Brocade plugin authors. It seems stalled.

Once it's fixed in master and backported to Havana, we'll be able to catch it up.

Though the question arises: do we even support Brocade installations for any RHOSP release? The state of the existing patch seems to imply that significant work will need to take place before it's fixed. So I wonder whether we should spend our time on this type of installation.

Nir, can you elaborate on this?

Comment 3 Ihar Hrachyshka 2014-08-18 11:05:53 UTC
As per http://marketplace.redhat.com/products?e=openstack&t=OpenStack+Networking, we support Brocade for RHOS4.


Note You need to log in before you can comment on or make changes to this bug.